## rosegarden 14.02

=== debian/changelog ===
rosegarden (1:14.02-2) unstable; urgency=medium

  * Add libz-dev to build-dependencies (Closes: #747770)

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 May 2014 23:51:02 +1000

rosegarden (1:14.02-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Mar 2014 23:13:00 +1100

rosegarden (1:13.10-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version (no changes required).
  * Change to debhelper compat level 9 to enable hardening.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Mar 2014 00:28:55 +1100
