## rosegarden 14.12

=== debian/changelog ===
rosegarden (1:14.12-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:05:43 +0000

rosegarden (1:14.12-1) unstable; urgency=medium

  * New upstream release.
    - Fixes german translation of fifths (Closes: #640673).
  * Bump standards version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 28 Apr 2015 00:30:34 +1000
