=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
@@ -24,7 +25,7 @@
  libz-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git
