=== debian/changelog ===
rosegarden (1:15.12.1-1) unstable; urgency=medium

  * New upstream release.
    - update packaging to new cmake build system
  * Drop manual dbg package in favour of automatic dbgsym package.
  * Drop menu file.

 -- Stuart Prescott <stuart@debian.org>  Wed, 06 Jan 2016 15:49:45 +1100

rosegarden (1:15.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:36:22 +1100

rosegarden (1:15.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Nov 2015 23:56:12 +1100
