=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
+ cmake,
  debhelper (>= 9),
- dh-autoreconf,
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -59,18 +58,3 @@
  sequencer (for playback and recording), a multi-track editor, music
  editing using both piano-roll and score notation, MIDI file IO,
  lilypond and Csound files export, etc.
-
-Package: rosegarden-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- rosegarden (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for Rosegarden
- Rosegarden is a Qt application which provides a mixed Audio/MIDI
- sequencer (for playback and recording), a multi-track editor, music
- editing using both piano-roll and score notation, MIDI file IO,
- lilypond and Csound files export, etc.
- .
- This package provides the debugging symbols.
