=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --ddeb-migration='rosegarden-dbg (<< 1:15.12.1-1~)'
