=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Install icons
-set(ICON_INSTALL_DIR "share/icons")
+set(ICON_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/icons")
 set(ICON_SRC_DIR "pixmaps/icons")
 foreach(_size 16;32;64)
   set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/mimetypes")
@@ -13,17 +13,17 @@
           RENAME application-x-rosegarden-template.png)
 endforeach()
 
-foreach(_size 32;64;128)
+foreach(_size 16;32;64;128)
   set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/apps")
   install(FILES ${ICON_SRC_DIR}/rg-rwb-rose3-${_size}x${_size}.png DESTINATION ${_dir}
           RENAME rosegarden.png)
 endforeach()
 
 # Install mimetype
-install(FILES mime/rosegarden.xml DESTINATION "share/mime/packages")
+install(FILES mime/rosegarden.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")
 
 # Install desktop file
-install(FILES desktop/rosegarden.desktop DESTINATION "share/applications")
+install(FILES desktop/rosegarden.desktop DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")
 
 # Install appdata file
-install(FILES appdata/rosegarden.appdata.xml DESTINATION "share/appdata")
+install(FILES appdata/rosegarden.appdata.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/appdata")
