=== src/CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,7 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
 endif()
 
-set(rg_SOURCES
-  ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
+set(rg_CPPS
   document/GzipFile.cpp
   document/LinkedSegmentsCommand.cpp
   document/Command.cpp
@@ -247,7 +246,6 @@
   gui/editors/notation/NoteRestInserter.cpp
   gui/editors/notation/NoteStyleFactory.cpp
   gui/editors/notation/NoteStyleFileReader.cpp
-  gui/editors/notation/SystemFontXft.cpp
   gui/editors/notation/NotationTool.cpp
   gui/editors/notation/NotationProperties.cpp
   gui/editors/notation/NoteFontViewer.cpp
@@ -314,3 +312,5 @@
   gui/configuration/NotationConfigurationPage.cpp
   gui/configuration/AudioConfigurationPage.cpp
   gui/configuration/AudioPropertiesPage.cpp
+  gui/configuration/PitchTrackerConfigurationPage.cpp
+  gui/configuration/HeadersConfigurationPage.cpp
