=== debian/changelog ===
rosegarden (1:16.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Jul 2016 16:42:51 +1000

rosegarden (1:16.02-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Cherry pick upstream patch to fix compilation with GCC 6 (Closes: #831099).

  [ IOhannes m zmölnig ]
  * Update mimetypes in package, with thanks to Petter Reinholdtsen
    (Closes: #825993).

 -- Stuart Prescott <stuart@debian.org>  Fri, 15 Jul 2016 18:59:48 +1000

rosegarden (1:16.02-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.8 (no changes required).
  * Update Vcs-* fields.
  * Enable additional hardening options for build.

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 May 2016 00:12:42 +1000
