=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
  libz-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
 
 Package: rosegarden
 Architecture: any
