## rosegarden 17.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "16.06")
-set(ROSEGARDEN_CODENAME "Rhapsody in Blue")
-#set(ROSEGARDEN_CODENAME "Seagull")
-#set(ROSEGARDEN_CODENAME "Twice in a Blue Moon")
-#set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
+set(ROSEGARDEN_VERSION "17.12.1")
+set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
 #set(ROSEGARDEN_CODENAME "Vesper")
 #set(ROSEGARDEN_CODENAME "Worcestershire")
 #set(ROSEGARDEN_CODENAME "Xerxes")
@@ -110,6 +107,7 @@
     add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
 endif()
 
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DSTABLE) # this is changed to STABLE by the release script
 
 # Compiler flags
