=== src/CMakeLists.txt ===
--- 
+++ 
@@ -146,7 +146,6 @@
   gui/widgets/FileDialog.cpp
   gui/widgets/FontRequester.cpp
   gui/widgets/TimeWidget.cpp
-  gui/widgets/CurrentProgressDialog.cpp
   gui/widgets/WarningGroupBox.cpp
   gui/widgets/MidiFaderWidget.cpp
   gui/widgets/ProgressBar.cpp
@@ -169,7 +168,6 @@
   gui/widgets/AudioFaderBox.cpp
   gui/widgets/QuantizeParameters.cpp
   gui/widgets/ColourTableItem.cpp
-  gui/widgets/ProgressDialog.cpp
   gui/widgets/VUMeter.cpp
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
@@ -314,3 +312,4 @@
   gui/configuration/AudioPropertiesPage.cpp
   gui/configuration/PitchTrackerConfigurationPage.cpp
   gui/configuration/HeadersConfigurationPage.cpp
+  gui/configuration/CommentsConfigurationPage.cpp
