=== debian/changelog ===
rosegarden (1:17.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Feb 2018 20:52:41 +1100

rosegarden (1:17.12-1) unstable; urgency=medium

  * New upstream release.
   - drop all patches; merged upstream.
  * Update Standards-Version to 4.1.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Dec 2017 01:04:26 +1100

rosegarden (1:17.04-2) unstable; urgency=medium

  * Add build-dep on qttools5-devl to fix FTBFS (Closes: #881083).
  * Update Standards-Version to 4.1.1 (no changes required).
  * Update to debhelper compat 10.
  * Update location and format of appstream metadata.
  * Update desktop file.

 -- Stuart Prescott <stuart@debian.org>  Sat, 11 Nov 2017 17:24:07 +1100

rosegarden (1:17.04-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Qt5 build.
  * Bump standards-version to 4.1.0 (no changes required).
  * Fix generation of 'src/svnversion.h' to prevent FTBFS with CMake 3.9
    (Closes: #871213).

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Aug 2017 00:36:33 +1000
