=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -16,18 +16,21 @@
  liblircclient-dev,
  liblo-dev,
  liblrdf0-dev,
- libqt4-dev,
  libsamplerate-dev,
  libsm-dev,
  libsndfile1-dev,
  libx11-dev,
  libz-dev,
  pkg-config,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ shared-mime-info,
  xutils-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden
 
 Package: rosegarden
 Architecture: any
