=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_strip:
 	dh_strip --ddeb-migration='rosegarden-dbg (<< 1:15.12.1-1~)'
