## rosegarden 18.12

=== debian/changelog ===
rosegarden (1:18.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 (no changes required).
  * Prevent build-time tests being run for the time being, since they require
    rosegarden to be built as library and don't currently pass anyway.

 -- Stuart Prescott <stuart@debian.org>  Fri, 28 Dec 2018 17:35:27 +1100

rosegarden (1:18.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Jun 2018 18:01:47 +1000
