=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -26,9 +26,9 @@
  qttools5-dev,
  qttools5-dev-tools,
  shared-mime-info,
- xutils-dev
-Standards-Version: 4.1.3
-Homepage: http://www.rosegardenmusic.com/
+ xutils-dev,
+Standards-Version: 4.3.0
+Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden
