## rosegarden 18.12.1+rb2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,12 @@
 # CMake version required. This must be the very first line, because it sets default policies affecting everything else
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 # Project name
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "17.12.1")
-set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
-#set(ROSEGARDEN_CODENAME "Vesper")
-#set(ROSEGARDEN_CODENAME "Worcestershire")
+set(ROSEGARDEN_VERSION "18.12")
+set(ROSEGARDEN_CODENAME "Worcestershire")
 #set(ROSEGARDEN_CODENAME "Xerxes")
 #set(ROSEGARDEN_CODENAME "Yesterday")
 #set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
@@ -54,57 +52,22 @@
 
 # Activate unit tests (this enables `make test`)
 enable_testing()
-# and this defines the BUILD_TESTING option (and enabled CDash integration)
-include(CTest)
-
-# Check whether we explicitely select the Qt version to be used or autodetect.
-if(NOT USE_QT4 AND NOT USE_QT5)
-   # Autodetect, prefering Qt 5
-   message(STATUS "Autodetecting Qt version to use")
-   find_package(Qt5 QUIET COMPONENTS Core)
-   if(Qt5_FOUND)
-      set(USE_QT5 TRUE)
-   else()
-      set(USE_QT4 TRUE)
-   endif()
-endif()
-
-if(USE_QT4)
-   set(QT_MIN_VERSION "4.8.0")
-
-   # Locate Qt4 on the system.
-   find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork QtTest)
-
-   # properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
-   include(${QT_USE_FILE})
-
-   set(QT_QTCORE_LIBRARY Qt4::QtCore)
-   set(QT_QTGUI_LIBRARY Qt4::QtGui)
-   set(QT_QTXML_LIBRARY Qt4::QtXml)
-   set(QT_QTNETWORK_LIBRARY Qt4::QtNetwork)
-   set(QT_QTTEST_LIBRARY Qt4::QtTest)
-
-else()
-
-   # Locate Qt5 on the system.
-   find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
-
-   set(QT_QTCORE_LIBRARY Qt5::Core)
-   set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
-   set(QT_QTXML_LIBRARY Qt5::Xml)
-   set(QT_QTNETWORK_LIBRARY Qt5::Network)
-   set(QT_QTTEST_LIBRARY Qt5::Test)
-
-   set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
-
+# then define the BUILD_TESTING option, with the default value that we want
+# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
+# include(CTest) would make it ON by default in all cases, so we don't use that
+
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+    option(BUILD_TESTING "Build the testing tree." OFF)
+else()
+    option(BUILD_TESTING "Build the testing tree." ON)
 endif()
 
 # Compiler defines
 
-if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
+else()
     add_definitions(-DDEBUG -DBUILD_DEBUG -DWANT_TIMING)
-else()
-    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
 endif()
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
@@ -112,11 +75,20 @@
 
 # Compiler flags
 
+set(CMAKE_CXX_STANDARD 11) # Enable C++11
+
 if(CMAKE_COMPILER_IS_GNUCXX)
    if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common")
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common -Werror=return-type")
       add_definitions(-DQT_NO_EXCEPTIONS)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7))
+          # Too many left, someone needs to finish this...
+          #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant") # suggest using nullptr where applicable
+      endif()
+      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.1))
+         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+      endif()
    endif()
 endif()
 
@@ -126,6 +98,18 @@
 include(FeatureSummary)
 
 # Required dependencies ---------------------------------------
+
+# Qt5 is required.
+find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
+
+set(QT_QTCORE_LIBRARY Qt5::Core)
+set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
+set(QT_QTXML_LIBRARY Qt5::Xml)
+set(QT_QTNETWORK_LIBRARY Qt5::Network)
+set(QT_QTTEST_LIBRARY Qt5::Test)
+
+set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
+
 
 find_path(LADSPA_INCLUDE_DIR ladspa.h)
 if(NOT LADSPA_INCLUDE_DIR)
@@ -195,12 +179,6 @@
 
 # --------------------------------------------------------
 
-# BUILD_TESTING is a builtin option in cmake, which defaults to ON.
-# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
-
-if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(BUILD_TESTING OFF)
-endif()
 
 # Unit tests disabled: use a static lib
 # Unit tests enabled: use shared libs, to speed up linking
