=== test/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 RG_UNIT_TESTS(
    accidentals
    segmenttransposecommand
+   test_notationview_selection
    transpose
 )
