=== debian/changelog ===
rosegarden (1:18.12.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 01 Feb 2021 16:16:05 +0800
